Upstream-Status: Pending
From e672408631fd74856abe67f13ee9b7f75e6e4fd7 Mon Sep 17 00:00:00 2001
From: Michal Simek <michal.simek@xilinx.com>
Date: Tue, 14 Jan 2020 11:20:26 -0800
Subject: [PATCH 084/295] v4l: xilinx: Kconfig: Add missing DMADEVICES
 dependencies

Several drivers selecting Xilinx DMA drivers but not all dependencies
are properly covered.

WARNING: unmet direct dependencies detected for XILINX_FRMBUF
  Depends on [n]: DMADEVICES [=n]
  Selected by [y]:
  - VIDEO_XILINX [=y] && MEDIA_SUPPORT [=y] && V4L_PLATFORM_DRIVERS [=y] && VIDEO_V4L2 [=y] && VIDEO_V4L2_SUBDEV_API [=y] && OF [=y] && HAS_DMA [=y]

Signed-off-by: Michal Simek <michal.simek@xilinx.com>
Signed-off-by: Hyun Kwon <hyun.kwon@xilinx.com>
State: pending
---
 drivers/media/platform/xilinx/Kconfig | 1 +
 1 file changed, 1 insertion(+)

diff --git a/drivers/media/platform/xilinx/Kconfig b/drivers/media/platform/xilinx/Kconfig
index 93ef78bf62e6..2aa33eef3d16 100644
--- a/drivers/media/platform/xilinx/Kconfig
+++ b/drivers/media/platform/xilinx/Kconfig
@@ -6,6 +6,7 @@ config VIDEO_XILINX
 	tristate "Xilinx Video IP (EXPERIMENTAL)"
 	depends on V4L_PLATFORM_DRIVERS
 	depends on VIDEO_DEV  && OF && HAS_DMA
+	depends on DMADEVICES
 	select MEDIA_CONTROLLER
 	select VIDEO_V4L2_SUBDEV_API
 	select VIDEOBUF2_DMA_CONTIG
-- 
2.34.1

